twisted (20.3.0-7+deb11u2) bullseye-security; urgency=high

  * Non-maintainer upload by the LTS Security Team.
  * CVE-2022-39348: When the host header does not match a configured host
    `twisted.web.vhost.NameVirtualHost` will return a `NoResource`
    resource which renders the Host header unescaped into the 404 response
    allowing HTML and script injection. In practice this should be very
    difficult to exploit as being able to modify the Host header of a
    normal HTTP request implies that one is already in a privileged
    position. (Closes: #1023359)
  * CVE-2023-46137: When sending multiple HTTP requests in one TCP packet,
    twisted.web will process the requests asynchronously without
    guaranteeing the response order. If one of the endpoints is controlled
    by an attacker, the attacker can delay the response on purpose to
    manipulate the response of the second request when a victim launched
    two requests using HTTP pipeline. (Closes: #1054913)
  * CVE-2024-41671: The HTTP 1.0 and 1.1 server provided by twisted.web
    could process pipelined HTTP requests out-of-order, possibly resulting
    in information disclosure. (Closes: #1077679)
  * CVE-2024-41810: The `twisted.web.util.redirectTo` function contains an
    HTML injection vulnerability. If application code allows an attacker
    to control the redirect URL this vulnerability may result in Reflected
    Cross-Site Scripting (XSS) in the redirect response HTML
    body. (Closes: #1077680)
  * Test suite: fix TCP "Too many open files" errors.
  * Test suite: fix SSL "key too small" errors.
  * Test suite: fix SSL "wrong version number" errors.
  * Test suite: fix SSL ellipticCurveDiffieHellman test.
  * Test suite: add salsa-ci.yml and configure to bullseye-lts.
  * python3-twisted.lintian-overrides: fix rules.

 -- Sylvain Beucler <beuc@debian.org>  Wed, 27 Nov 2024 20:11:39 +0100

twisted (20.3.0-7+deb11u1) bullseye; urgency=medium

  * Team upload.
  * CVE-2022-21712: Information disclosure results in leaking of HTTP cookie
    and authorization headers when following cross origin redirects
    - debian/patches/CVE-2022-21712-*.patch: Ensure sensitive HTTP headers are
      removed when forming requests, in src/twisted/web/client.py,
      src/twisted/web/test/test_agent.py and src/twisted/web/iweb.py.
    - Thanks Canonical for backporting the patches.
  * CVE-2022-21716: Parsing of SSH version identifier field during an SSH
    handshake can result in a denial of service when excessively large packets
    are received
    - debian/patches/CVE-2022-21716-*.patch: Ensure that length of received
      handshake buffer is checked, prior to processing version string in
      src/twisted/conch/ssh/transport.py and
      src/twisted/conch/test/test_transport.py
    - Thanks Canonical for backporting the patches.
  * CVE-2022-24801: Correct several defects in HTTP request parsing that could
    permit HTTP request smuggling: disallow signed Content-Length headers,
    forbid illegal characters in chunked extensions, forbid 0x prefix to chunk
    lengths, and only strip space and horizontal tab from header values.
    - debian/patches/CVE-2022-24801-*.patch
  * Patch: remove spurious test for illegal whitespace in xmlns, to allow
    tests to pass, again.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 05 May 2022 09:59:26 -0400

twisted (20.3.0-7) unstable; urgency=medium

  * Team upload.
  * Use the correct patch for upload (Closes: #984493) Sorry!

 -- Ole Streicher <olebole@debian.org>  Sat, 24 Apr 2021 18:36:24 +0200

twisted (20.3.0-6) unstable; urgency=medium

  * Team upload.
  * Fix skipIf call to actually fix autopkgtest
  * Add Gitlab CI configuration

 -- Ole Streicher <olebole@debian.org>  Sat, 24 Apr 2021 18:36:24 +0200

twisted (20.3.0-5) unstable; urgency=medium

  * Team upload.
  * skip failing QueryArgumentsTests.testParseqs test

 -- Ole Streicher <olebole@debian.org>  Sat, 24 Apr 2021 14:24:44 +0200

twisted (20.3.0-4) unstable; urgency=medium

  * Team upload.
  * Fix several autopkgtest failures. (Closes: #979838)
    - d/p/0016-Try-exec-ing-ckeygen3-if-ckeygen-was-not-found.path:
      Rename ckeygen to ckeygen3.
    - d/p/0017-Add-digestmod-parameter-to-HMAC.__init__-invocations.patch:
      Add digestmod parameter to HMAC.__init__() invocations.
    - d/p/0018-Make-the-twisted-tests-work-when-pyOpenSSL-deletes-N.patch:
      Make the twisted tests work when pyOpenSSL deletes NPN.
    - d/p/0019-Replace-base64.-string-functions-to-fix-py3.9-suppor.patch:
      Replace base64.*string() functions to fix py3.9 support.
    - d/p/0020-Fix-imap4-utf-7-codec-lookup-function-for-Python-3.9.patch:
      Rename imap4-utf-7 to imap_utf_7.
    - d/p/0021-Merge-9652-wiml-mktime-Allow-mktime-to-raise-EOVERFL.patch:
      Allow mktime() to raise EOVERFLOW if isdst=1 and there's no DST.
    - d/p/0022-increase-size-of-FFDH-keys-for-conch-testing.patch:
      Increase size of FFDH keys for conch testing.
    - d/p/0023-Merge-9801-rodrigc-cgi-Change-import-of-cgi.parse_qs.patch:
      Change import of cgi.parse_qs to urllib.parse.parse_qs.
    - d/p/0024-fixed-corrupted-iqmp-value-in-test-RSA-key.patch:
      Fix corrupted iqmp value in test RSA key.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 13 Feb 2021 02:12:02 -0500

twisted (20.3.0-3) unstable; urgency=medium

  * Update python3-twisted dependencies to match upstream tls and conch
    extras: in particular, the missing dependency on python3-bcrypt broke
    openssh's autopkgtests.

 -- Colin Watson <cjwatson@debian.org>  Mon, 19 Oct 2020 23:13:43 +0100

twisted (20.3.0-2) unstable; urgency=medium

  * Upload to unstable

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Andrej Shadura ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.0, no changes needed.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 14 Oct 2020 15:19:41 +0200

twisted (20.3.0-1) experimental; urgency=medium

  * New upstream release 20.3.0.
  * Drop patches applies upstream.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 23 Mar 2020 21:08:16 +0100

twisted (19.10.0~rc1-1) experimental; urgency=medium

  * New upstream 19.10.0 release candidate 1.

 -- Matthias Klose <doko@debian.org>  Sun, 27 Oct 2019 21:07:04 +0100

twisted (18.9.0-11) unstable; urgency=medium

  * Drop python2 support; Closes: #938731

 -- Sandro Tosi <morph@debian.org>  Wed, 01 Apr 2020 20:34:17 -0400

twisted (18.9.0-10) unstable; urgency=medium

  * The package currently doesn’t build apidocs, make this non-fatal.
    When apidocs aren’t available, skip fixing up the URLs so that the
    online version can be used.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 27 Mar 2020 10:59:44 +0100

twisted (18.9.0-9) unstable; urgency=medium

  * Wrap long lines in changelog entries: 18.9.0-2.
  * Bump debhelper from old 9 to 12.
  * Convert debian/copyright to the machine-readable format.
    Also provide fill.copyright.blanks.yml for scan-copyrights to
    make it easier to update it in future.
  * Fix day-of-week for changelog entries 1.1.2-1, 1.1.0-1, 1.0.7-1.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Improve building without documentation:
    - DEB_BUILD_OPTIONS has to have nodoc, not nodocs to skip docs.
    - Not only don’t install them, but don’t build them either.
    - Support nodoc build profile.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 26 Mar 2020 17:31:42 +0100

twisted (18.9.0-8) unstable; urgency=high

  * A no-change upload to set urgency to high since the upload
    fixes security issues.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 23 Mar 2020 21:14:09 +0100

twisted (18.9.0-7) unstable; urgency=medium

  [ Marc Deslauriers ]
  * SECURITY UPDATE: incorrect URI and HTTP method validation
    - debian/patches/CVE-2019-12387.patch: prevent CRLF injections in
      src/twisted/web/_newclient.py, src/twisted/web/client.py,
      src/twisted/web/test/injectionhelpers.py,
      src/twisted/web/test/test_agent.py,
      src/twisted/web/test/test_webclient.py.
    - CVE-2019-12387
    - Closes: #930389
  * SECURITY UPDATE: incorrect cert validation in XMPP support
    - debian/patches/CVE-2019-12855-*.patch: upstream patches to implement
      certificate checking.
    - CVE-2019-12855
    - Closes: #930626
  * SECURITY UPDATE: HTTP/2 denial of service issues
    - debian/patches/CVE-2019-951x.patch: buffer outbound control frames
      and timeout invalid clients in src/twisted/web/_http2.py,
      src/twisted/web/error.py, src/twisted/web/http.py,
      src/twisted/web/test/test_http.py,
      src/twisted/web/test/test_http2.py.
    - CVE-2019-9511
    - CVE-2019-9514
    - CVE-2019-9515
  * SECURITY UPDATE: request smuggling attacks
    - debian/patches/CVE-2020-1010x-pre1.patch: refactor to reduce
      duplication in src/twisted/web/test/test_http.py.
    - debian/patches/CVE-2020-1010x.patch: fix several request smuggling
      attacks in src/twisted/web/http.py,
      src/twisted/web/test/test_http.py.
    - CVE-2020-10108
    - CVE-2020-10109
    - Closes: #953950

  [ Emmanuel Arias ]
  * Add patch to fix SyntaxWarning (Closes: #948560).

  [ Moritz Muehlenhoff  ]
  * Remove Suggests on python-gtk2/python-glade2, which is being removed.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 23 Mar 2020 20:49:21 +0100

twisted (18.9.0-6) unstable; urgency=medium

  * Use python2 in the Python2 autopkg test.
  * python-twisted-*-dbg: Depend on python2-dbg instead of python-dbg.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Jan 2020 21:25:22 +0100

twisted (18.9.0-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * Add python{,3}-hamcrest to B-D (Closes: #943582).
  * Add python{,3}-hamcrest to B-D and D (Closes: #943582).

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 07 Nov 2019 17:05:21 +0100

twisted (18.9.0-4) unstable; urgency=medium

  [ Matthias Klose ]
  * Fix installation of python3.8 extensions.
  * Bump standards version.
  * Build-depend on python2-doc instead of python-doc.
  * Use python2 as shebang for the Python2 packages.

  [ Julian Andres Klode ]
  * Add missing Depends for python{,3}-idna to python{,3}-twisted-core, as
    they are needed for TLS support. Closes: #935965.

 -- Matthias Klose <doko@debian.org>  Sat, 19 Oct 2019 13:24:26 +0200

twisted (18.9.0-3) unstable; urgency=medium

  * Don't fix package substvars in binary-arch:, they did not depend on hamcrest

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 07 Dec 2018 11:23:30 +0100

twisted (18.9.0-2) unstable; urgency=medium

  * Don't generate dependency on python{,3}-hamcrest, it is just a test
    dependency
  * Demote Python serial and pam modules from Recommends: to Suggests:
    (Closes: #599665)

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 06 Dec 2018 14:52:10 +0100

twisted (18.9.0-1) unstable; urgency=medium

  * New upstream version 18.9.0
  * Rebase patches
  * Update patches against tests

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 05 Dec 2018 17:18:59 +0100

twisted (18.7.0-3) unstable; urgency=medium

  * Team upload.

  [ nyov ]
  * Update requirement for attr version.  Closes: #910056

  [ Mattia Rizzolo ]
  * Annotate python-dbg dependency with :any (from the m-a hinter).

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 02 Oct 2018 16:40:06 +0200

twisted (18.7.0-2) unstable; urgency=medium

  * python{,3}-hamcrest is only a test dependency, not a runtime dependency.

 -- Matthias Klose <doko@debian.org>  Tue, 14 Aug 2018 21:15:10 +0200

twisted (18.7.0-1) unstable; urgency=medium

  * New upstream version.
  * Remove patches applied upstream.
  * Stop applying the fix for #772629, upstream ticket #7730.

 -- Matthias Klose <doko@debian.org>  Tue, 14 Aug 2018 14:46:11 +0200

twisted (18.4.0-3) unstable; urgency=medium

  * Team upload.
  * Declare Breaks against h2 before 3.0.0

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 13 Aug 2018 15:44:16 +0200

twisted (18.4.0-2) unstable; urgency=medium

   * Fixup async issues and compatibility with Python 3.7 (Gianfranco
     Costamagna). Closes: #902766.
   * Drop the first chunk of the 0011-fix-broken-sslverify-tests patch,
     works on Debian only.

 -- Matthias Klose <doko@debian.org>  Tue, 03 Jul 2018 05:50:32 +0200

twisted (18.4.0-1) unstable; urgency=medium

  * New upstream version 18.4.0
  * Add .travis.yml for CI on Travis (will need to be moved to Salsa)
  * Remove myself from Uploaders

 -- Free Ekanayaka <freee@debian.org>  Sun, 06 May 2018 09:19:29 +0000

twisted (17.9.0-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Deprecating priority extra as per policy 4.0.1
    (closes: #687218)
  * d/watch: Use https protocol
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces

  [ Colin Watson ]
  * Fix conch MSG_DEBUG parsing on Python 2 (closes: #895374).
  * Fix incorrect Homepage field (closes: #866642).

 -- Colin Watson <cjwatson@debian.org>  Fri, 20 Apr 2018 23:55:26 +0100

twisted (17.9.0-1) unstable; urgency=medium

  * New upstream release 17.9.0.
  * Explicitly depend on python-automat/python3-automat (>= 0.6.0).

 -- Matthias Klose <doko@debian.org>  Tue, 26 Sep 2017 23:25:12 +0200

twisted (17.9.0~rc1-1) unstable; urgency=medium

  * New upstream release candidate 17.9.0.
  * Bump debhelper and standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 19 Sep 2017 16:42:41 +0200

twisted (17.5.0-2) unstable; urgency=medium

  * Make autopkgtest depend on setuptools

 -- Free Ekanayaka <freee@debian.org>  Mon, 04 Sep 2017 08:41:29 +0000

twisted (17.5.0-1) unstable; urgency=medium

  * New upstream version 17.5.0
  * Drop unused patches
  * Refresh 0002-combinedlog.patch
  * Add new build-dependency on Python hyperlink
  * Drop deprecated portmap.so (see upstream's #8464)
  * Bump build dependency on Python automat (>= 0.6.0)
  * Add patches for failing tests

 -- Free Ekanayaka <freee@debian.org>  Sun, 27 Aug 2017 09:24:58 +0000

twisted (17.1.0-1) experimental; urgency=medium

  * New upstream version 17.1.0

 -- Free Ekanayaka <freee@debian.org>  Fri, 17 Feb 2017 10:31:45 +0000

twisted (16.6.0-2) unstable; urgency=medium

  * Make /usr/share/doc/python-twisted-runner-dbg a
    symlink to the non-dbg docs (Closes: #847233).

 -- Free Ekanayaka <freee@debian.org>  Sat, 10 Dec 2016 08:16:41 +0000

twisted (16.6.0-1) unstable; urgency=medium

  * New upstream version 16.6.0
  * Use 'python -m twisted.trial' instead of 'trial' to invoke tests
  * Add sort-option-keys patch to fix failing test
  * Fix test writing to stderr

 -- Free Ekanayaka <freee@debian.org>  Sat, 26 Nov 2016 06:24:48 +0000

twisted (16.5.0-1) unstable; urgency=medium

  * New upstream version 16.5.0
  * Fix multi-arch-related warning
  * Fix paths in patches, since code is now under src/
  * Move python-twisted-runner-dbg to Architecture: all, since
    it's only a transitional empty package
  * Build-Depend on python(3)-constantly and python(3)-incremental
  * Fix test breakages due to the OpenSSL 1.1.0 transition

 -- Free Ekanayaka <freee@debian.org>  Thu, 10 Nov 2016 09:07:27 +0000

twisted (16.4.1-3) unstable; urgency=medium

  * Bump debhelper compat to 9
  * Fix Closes syntax in changelog
  * Mark python-twisted-core as Multi-Arch: foreign

 -- Free Ekanayaka <freee@debian.org>  Thu, 27 Oct 2016 17:17:43 +0000

twisted (16.4.1-2) unstable; urgency=medium

  * Add Vcs-Git and Vcs-Browser stanzas pointing to Alioth.
  * Don't remove Twisted.egg-info in the clean target, as it's part of
    the upstream source.
  * Point watch file to pypi.debian.ne.
  * Add lintian overrides for privacy-breach-google-adsense
  * Strip raiser shared library in python3-twisted-bin
  * Drop legacy XS-Python-Version control field
  * Use local copies of object.inv for building sphinx docs. Closes: #836169.
  * Fix insecure PYTHONPATH example. Closes: #605190, #605192.
  * Set Debian Python Modules Team as Maintaner, move Matthias and myself
    to Uploaders.

 -- Free Ekanayaka <freee@debian.org>  Fri, 21 Oct 2016 09:47:56 +0000

twisted (16.4.1-1) unstable; urgency=medium

  * New upstream (bug fix) release.

 -- Matthias Klose <doko@debian.org>  Wed, 28 Sep 2016 02:13:13 +0200

twisted (16.4.0-2) unstable; urgency=medium

  * Fix build on x86 targets.
  * Build architecture dependent packages for Python3.

 -- Matthias Klose <doko@debian.org>  Wed, 31 Aug 2016 09:38:30 +0200

twisted (16.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop fix-man-error.diff patch, since the issue has been fixed upstream.
  * Replace setup3.py with setup.py in debian/rules (there's a single file
    now)

 -- Free Ekanayaka <freee@debian.org>  Tue, 30 Aug 2016 09:53:49 +0000

twisted (16.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop tap2deb.diff patch, since the script has been removed by
    upstream (see #8326).

 -- Free Ekanayaka <freee@debian.org>  Sat, 30 Jul 2016 17:24:58 +0000

twisted (16.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Free Ekanayaka <freee@debian.org>  Sat, 21 May 2016 08:18:31 +0000

twisted (16.1.1-1) unstable; urgency=medium

  * New upstream release.
  * python3-twisted: Clean plugin cache on removal. Closes: #810692.

 -- Matthias Klose <doko@debian.org>  Sat, 16 Apr 2016 15:45:15 +0200

twisted (16.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Fri, 18 Mar 2016 16:55:22 +0100

twisted (16.0.0~pre3-1) experimental; urgency=medium

  * New upstream beta release.

 -- Matthias Klose <doko@debian.org>  Thu, 10 Mar 2016 15:58:44 +0100

twisted (16.0.0~pre1-3) experimental; urgency=medium

  * Add twisted.conch.ssh._cryptography_backports for Python3 installations.
    Issue #8220. LP: #1549731.
  * Add twisted.conch._version for Python3 installations. LP: #1549389.

 -- Matthias Klose <doko@debian.org>  Thu, 25 Feb 2016 17:40:37 +0100

twisted (16.0.0~pre1-2) experimental; urgency=medium

  * Fix issue #8216, add twisted.cred.strcred for Python3 installations.
    LP: #1548972.

 -- Matthias Klose <doko@debian.org>  Wed, 24 Feb 2016 12:15:53 +0100

twisted (16.0.0~pre1-1) experimental; urgency=medium

  * New upstream beta release.

 -- Matthias Klose <doko@debian.org>  Tue, 16 Feb 2016 12:08:18 +0100

twisted (15.5.0-4) unstable; urgency=medium

  * Add Breaks, for all python-twisted-* Replaces.

 -- Matthias Klose <doko@debian.org>  Mon, 14 Dec 2015 14:08:37 +0100

twisted (15.5.0-3) unstable; urgency=medium

  * Build a python3-twisted package. Closes: #763149.
  * Move all python-twisted-* manual packages into python-twisted-core.
    Update Breaks/Replaces. Closes: #806167.

 -- Matthias Klose <doko@debian.org>  Tue, 01 Dec 2015 11:33:20 +0100

twisted (15.5.0-2) unstable; urgency=medium

  * Fix python-twisted-conch version number in Replaces.

 -- Matthias Klose <doko@debian.org>  Tue, 01 Dec 2015 11:26:47 +0100

twisted (15.5.0-1) unstable; urgency=medium

  * New upstream release. Closes: #806643.
  * Add replaces for upgrades from versions 15.2.x and below.
    Closes: #806167.
  * Add breaks to torbrowser-launcher, python-scrapy and txsocksx.
    Closes: #794367.
  * Merge from Ubuntu:
    - web/client: allow IPv6 addresses. LP: #1505748.

 -- Matthias Klose <doko@debian.org>  Mon, 30 Nov 2015 12:58:43 +0100

twisted (15.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Support for sub-projects has been droped, so Debian is going
    to transition to a single-package model as well. For now all
    sub-packages have been kept and turned into close-to-dummy
    packages containing no code and only some documentation. This
    should reduce the risk of breaking people that do still pull
    these packages. Eventually they will be dropped.
    See https://twistedmatrix.com/trac/ticket/7964.
  * The lore package has been dropped since it's been removed upstream
    in favor of sphinx.
  * Build-Depend on python-setuptools

 -- Free Ekanayaka <freee@debian.org>  Fri, 09 Oct 2015 11:00:16 +0200

twisted (15.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Sat, 25 Jul 2015 18:57:17 +0200

twisted (15.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Free Ekanayaka <freee@debian.org>  Mon, 09 Mar 2015 09:53:34 +0100

twisted (14.0.2-3) unstable; urgency=medium

  * Add debian/combinedlog.patch to fix upstream's bug #7730 and
    restore the old combined log format. Closes: #772629.

 -- Free Ekanayaka <freee@debian.org>  Tue, 09 Dec 2014 11:58:50 +0100

twisted (14.0.2-2) unstable; urgency=medium

  * Re-add lost 14.0.2-2 upload. Closes: #763581.

 -- Matthias Klose <doko@debian.org>  Wed, 01 Oct 2014 13:29:03 +0200

twisted (14.0.2-1) unstable; urgency=medium

  * New upstream release.
    - Fix issue #7647: BrowserLikePolicyForHTTPS would always ignore the
      specified trustRoot and use the system trust root instead, which has
      been rectified. Closes: #761983.
  * Build using wxpython3.0 (Olly Betts). Closes: #759073.

 -- Matthias Klose <doko@debian.org>  Tue, 30 Sep 2014 15:04:00 +0200

twisted (14.0.0-2) unstable; urgency=medium

  * python-twisted-core: Depend on python-openssl and python-service-identity.

 -- Matthias Klose <doko@debian.org>  Wed, 23 Jul 2014 15:39:02 +0200

twisted (14.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Mon, 14 Jul 2014 13:49:08 +0200

twisted (13.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Tue, 07 Jan 2014 23:52:50 +0100

twisted (13.1.0-1) unstable; urgency=low

  * New upstream release
  * Migrate to single-source

 -- Free Ekanayaka <freee@debian.org>  Fri, 04 Oct 2013 14:20:11 +0200

twisted (13.0.0-1) unstable; urgency=low

  * New upstream release

 -- Free Ekanayaka <freee@debian.org>  Wed, 05 Jun 2013 20:48:54 +0200

twisted (12.3.0-1) experimental; urgency=low

  * New upstream release
  * Bump python-zope.interface dependency to 3.6
  * Bump Standards-Version to 3.9.4
  * Install _initgroups.so only on Python <= 2.6
  * Drop packaging tweaks for Python < 2.6

 -- Free Ekanayaka <freee@debian.org>  Wed, 02 Jan 2013 15:15:18 +0100

twisted (12.2.0-1) experimental; urgency=low

  * New upstream version
  * Drop the _epoll.so C extension, as Twisted now supports only
    Python >= 2.6 and there's stdlib support for epoll since 2.6
  * Add sendmsg.so C extension to python-twisted-bin

 -- Free Ekanayaka <freee@debian.org>  Tue, 11 Sep 2012 10:06:25 +0200

twisted (12.0.0-1) sid; urgency=low

  * New upstream version.
  * Add watch file
  * Bump Standards-Version

 -- Free Ekanayaka <freee@debian.org>  Tue, 17 Apr 2012 15:36:37 +0200

twisted (11.1.0-1) unstable; urgency=low

  * New upstream version.
  * Drop suggestions on python-wxgtk2.6 and python-profiler.
  * Fix lintian warnings.

 -- Matthias Klose <doko@debian.org>  Wed, 21 Dec 2011 12:29:38 +0100

twisted (11.0.0-2) unstable; urgency=low

  * python-twisted depends on version >= 11.0 of other packages.

 -- Matthias Klose <doko@debian.org>  Fri, 22 Apr 2011 12:02:59 +0200

twisted (11.0.0-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Apr 2011 20:11:48 +0200

twisted (10.2.0-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Thu, 24 Feb 2011 04:47:56 +0100

twisted (10.1.0-3) unstable; urgency=low

  * Tighten build dependency to build with a fixed dh_python2. Closes: #592410.

 -- Matthias Klose <doko@debian.org>  Wed, 18 Aug 2010 11:42:19 +0200

twisted (10.1.0-2) unstable; urgency=low

  * Remove all plugin cache files before rebuilding the cache files
    for the installed python versions.
  * python-twisted: Depend on the 10.1 versions of the twisted packages.
  * Remove the plugin cache files when package is removed, not only if
    it is purged.

 -- Matthias Klose <doko@debian.org>  Sun, 25 Jul 2010 15:56:17 +0200

twisted (10.1.0-1) unstable; urgency=low

  * New upstream version.
  * Build using dh_python2 instead of dh_pycentral.

 -- Matthias Klose <doko@debian.org>  Sat, 17 Jul 2010 16:11:21 +0200

twisted (10.0.0-3) unstable; urgency=low

  * Add a trigger `twisted-plugins-cache' to rebuild the plugins cache.

 -- Matthias Klose <doko@debian.org>  Tue, 30 Mar 2010 17:55:15 +0200

twisted (10.0.0-2) unstable; urgency=low

  * Include changes from 9.0.0-2 which got skipped
  * python-twisted depends on version >= 10.0 of other packages

 -- Free Ekanayaka <freee@debian.org>  Tue, 09 Mar 2010 13:32:00 +0100

twisted (10.0.0-1) unstable; urgency=low

  * New upstream version.
  * Add myself as uploader.
  * Bump standards version to 3.8.4

 -- Free Ekanayaka <freee@debian.org>  Mon, 08 Mar 2010 12:32:45 +0100

twisted (9.0.0-2) unstable; urgency=low

  * Suppress output on stderr in postrm. Closes: #566395.
  * Don't recommend twisted-doc-api. Closes: #566913.

 -- Matthias Klose <doko@debian.org>  Wed, 03 Feb 2010 02:14:52 +0100

twisted (9.0.0-1) unstable; urgency=low

  * python-twisted: Depend on the python-twisted-* 9.0 packages.
  * python-twisted: Depend on python-zope.interface only. Closes: #557781.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Jan 2010 19:38:17 +0100

twisted (9.0.0-0) unstable; urgency=low

  * New upstream version.
  * tap2deb: Use date -R instead of 822-date. Closes: #550565.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Jan 2010 18:46:39 +0100

twisted (8.2.0-3) unstable; urgency=low

  * Depend on the standalone python-zope.interface{,-dbg} packages.
    Closes: #543132, #542932.
  * Remove plugins directory on purge. Closes: #527897.
  * Fix some lintian warnings.

 -- Matthias Klose <doko@debian.org>  Tue, 25 Aug 2009 20:36:00 +0200

twisted (8.2.0-2) unstable; urgency=low

  * python-twisted-core: Regenerate the plugin cache as the last action
    in the postinst. Closes: #521663. LP: #361865.
  * Avoid md5/sha1 deprecation warnings. LP: #344782.

 -- Matthias Klose <doko@debian.org>  Sat, 18 Apr 2009 13:54:12 +0200

twisted (8.2.0-1) unstable; urgency=low

  * Upload to unstable.

 -- Matthias Klose <doko@debian.org>  Sat, 21 Feb 2009 12:15:25 +0100

twisted (8.2.0-0.1) unstable; urgency=low

  * New upstream version.

 -- Esteve Fernandez <esteve@fluidinfo.com>  Sat, 31 Jan 2009 14:40:47 +0100

twisted (8.1.0-4) unstable; urgency=low

  * Move the cache update from python-twisted into python-twisted-core.
    Closes: #500942.

    Plugins should update the cache on package install (postinst) and
    removal (postrm remove) by updating the cache. See the postinst
    script of python-twisted-core how to update the cache.

  * Fix PortableGtkReactor (now able to run trial test suite with the gtk2
    reactor). Closes: #499311.
  * Don't install twisted/test/generator_failure_tests.py, syntax errors
    with python2.4. Closes: #492830.
  * Fix manhole to work with python-gtk2 (>= 2.10). Closes: #469105.
  * mktap(1) description of options fixed in an earlier version.
    Closes: #278194.
  * mktap news fixed in an earlier version. Closes: #278196.
  * Fix build failure on GNU/kFreeBSD (Petr Salinger). Closes: #490770.

 -- Matthias Klose <doko@debian.org>  Fri, 10 Oct 2008 21:22:21 +0200

twisted (8.1.0-3) unstable; urgency=low

  * Do not include twisted/plugins/dropin.cache, but generate it on
    configure, remove it on package removal. Closes: #489976.
  * twisted plugins have to update that cache on installation and removal.
    See the python-twisted-core postinst how to do so.

 -- Matthias Klose <doko@debian.org>  Fri, 11 Jul 2008 14:41:43 +0200

twisted (8.1.0-2) unstable; urgency=low

  * python-twisted-core: Include twisted/plugins/dropin.cache, Closes: #477103.
  * tap2deb.py: Fix some dependency names and names of binaries.
    Closes: #440454. LP: #120453.
  * python-twisted: Tighten dependencies.

 -- Matthias Klose <doko@debian.org>  Tue, 08 Jul 2008 16:34:14 +0200

twisted (8.1.0-1) unstable; urgency=low

  * New upstream version.
  * python-twisted: Add an egg-info file. Closes: #477384.

 -- Matthias Klose <doko@debian.org>  Wed, 28 May 2008 23:06:45 +0200

twisted (8.0.1-2) unstable; urgency=low

  * twisted/scripts/tap2deb.py: Create dependency on python-twisted.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Apr 2008 15:37:36 +0000

twisted (8.0.1-1) unstable; urgency=low

  * New upstream version.
  * Disable building the empty twisted-doc-api package. Closes: #313334.

 -- Matthias Klose <doko@debian.org>  Sun, 30 Mar 2008 21:02:28 +0200

twisted (2.5.0-2) unstable; urgency=low

  * python-twisted-core: Suggest python-wxgtk2.8 as an alternative.

 -- Matthias Klose <doko@debian.org>  Thu, 07 Jun 2007 07:14:49 +0200

twisted (2.5.0-1) unstable; urgency=low

  * New upstream version, compatible with python2.5.
  * Merge from Ubuntu:
    - Build a python-twisted-dbg package.
    - Bump debhelper compatibility to v5.
    - Tighten dependencies of the python-twisted package.

 -- Matthias Klose <doko@debian.org>  Sun, 20 May 2007 19:29:53 +0200

twisted (2.4.0-3) unstable; urgency=medium

  * twisted/python/versions.py: Update to work with subversion 1.4.
    Closes: #405141.
  * python-twisted-core: Don't suggest python-wxgtk2.4 anymore.
    Closes: #391994.

 -- Matthias Klose <doko@debian.org>  Mon,  8 Jan 2007 00:01:04 +0100

twisted (2.4.0-2) unstable; urgency=high

  * python-twisted-core: Depend on python-twisted-bin.

 -- Matthias Klose <doko@debian.org>  Sun,  9 Jul 2006 12:04:18 +0000

twisted (2.4.0-1) unstable; urgency=low

  * New upstream version.
  * Convert packaging to use python-central (closes: #373392).
  * python-twisted-core: Do not suggest python-glade-1.2 (closes: #368514).
  * python-twisted.menu: Add python-tk as a required package for tkmtap.

 -- Matthias Klose <doko@debian.org>  Wed, 14 Jun 2006 03:45:29 +0200

twisted (2.2.0-2) unstable; urgency=low

  * Fix classname in python/dispatch.py (closes: #359225).
  * Fix spelling errors in man pages (closes: #355227).
  * Drop conflicts on packages not tested with twisted >= 2.0 (closes: #359179).

 -- Matthias Klose <doko@debian.org>  Fri, 14 Apr 2006 23:25:37 +0000

twisted (2.2.0-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 22 Feb 2006 08:28:04 +0100

twisted (2.1.0-4) unstable; urgency=low

  * Fix typo in versioned dependencies on *-conch packages (closes: #349627).
  * Fix location of the core documentation in the doc-base file.
    Closes: #349627.

 -- Matthias Klose <doko@debian.org>  Thu,  2 Feb 2006 15:39:10 +0000

twisted (2.1.0-3) unstable; urgency=low

  * Rename python-twisted to python-twisted-core; python-twisted is now
    a transitional package, depending on python-twisted-core and all
    twisted modules, which were split out into separate packages.

 -- Matthias Klose <doko@debian.org>  Wed, 25 Jan 2006 17:56:16 +0100

twisted (2.1.0-2) unstable; urgency=low

  * debian/copyright: Include copyright for python 2.3; some 2.3 files
    are included in the upstream tarball, but not in the binary packages.

 -- Matthias Klose <doko@debian.org>  Mon, 16 Jan 2006 19:59:05 +0100

twisted (2.1.0-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 15 Jan 2006 22:07:22 +0000

twisted (2.0.1-4) unstable; urgency=low

  * Fix doc symlinks (closes: #313313).
  * Remove conflict with supyb, requested by the supyb maintainer.
  * Suggest python-wxgtk2.4 | python-wxgtk2.6.
  * Fix man page symlinks (closes: #326021, #314508, #315307, #323551).
  * Fix location of the tutorial in the doc-base file (closes: #318167).
  * python-twisted: Add dependency on python-soappy (closes: #317290).

 -- Matthias Klose <doko@debian.org>  Thu,  1 Sep 2005 15:49:29 +0200

twisted (2.0.1-3) unstable; urgency=low

  * Drop python2.2 packages, build python2.4 packages.

 -- Matthias Klose <doko@debian.org>  Sun, 12 Jun 2005 19:05:59 +0200

twisted (2.0.1-2) unstable; urgency=low

  * Reupload as -2, -1 is sticking in the NEW queue from a hijack attempt.

 -- Matthias Klose <doko@debian.org>  Sun, 12 Jun 2005 18:41:05 +0200

twisted (2.0.1-1) unstable; urgency=low

  * New upstream version, built from the sumo tarball.
  * (Build-)depend on zope-interface.
  * Explicitely conflict with all current packages depending on
    python-twisted and python-twisted-conch. Please check for
    compatibility first.
  * Do provide menu entries for the default version only.
  * Empty twisted-doc-api package at the moment.
  * Use debhelper for the packaging.
  * Change priority to optional.

 -- Matthias Klose <doko@debian.org>  Sun, 12 Jun 2005 14:52:40 +0200

twisted (1.3.0-8) unstable; urgency=low

  * Fix the fix in gtk2reactor.

 -- Matthias Klose <doko@debian.org>  Fri, 11 Feb 2005 14:45:43 +0100

twisted (1.3.0-7) unstable; urgency=low

  * Conditionally import the profile module (closes: #294493).
  * Add suggestions to the python-profiler package.
  * Suppress gtk2 user warning in gtk2reactor (closes: #291310).

 -- Matthias Klose <doko@debian.org>  Thu, 10 Feb 2005 13:12:20 +0100

twisted (1.3.0-6) unstable; urgency=medium

  * Fix two bad mail-related bugs, which are really harmful for the
    scalemail application (Tommi Virtanen):
    - insufficient error handling in mail delivery, causing mail loss
      (fixed by r12036)
    - unable to send mail from <> (fixed by r12767, which broke receiving
      mail from <>, which is fixed in r12858).
    Closes: #289993.

 -- Matthias Klose <doko@debian.org>  Sat, 15 Jan 2005 23:49:03 +0100

twisted (1.3.0-5) unstable; urgency=low

  * Fix memory leak in _c_urlarg.c (closes: #284818).
  * python2.3-twisted: Add python-glade-1.2 python-gtk-1.2 suggests.
    Closes: #283238.

 -- Matthias Klose <doko@debian.org>  Mon, 20 Dec 2004 19:23:11 +0100

twisted (1.3.0-4) unstable; urgency=low

  * Fix package recommendations.
  * twisted/xish/domish.py: Add fixes for jabber protocol implementation.
    Alexandre Fayolle. Closes: #273141.

 -- Matthias Klose <doko@debian.org>  Wed,  6 Oct 2004 08:06:47 +0200

twisted (1.3.0-3) unstable; urgency=medium

  * twisted-doc-api: Add link to docs (closes: #255888).
  * twisted-doc: Rename examples/xindex.html (closes: #255887).
  * twisted-doc: Include the Twisted tutorial (closes: #256598).
  * Install the PDF version of the Twisted Book, not the PostScript version.
  * python-twisted: Recommend the python-serial package.
  * Fix nmea protocol failing when checksums turned off (closes: #243136).
  * Add support for bool types in Twisted Serialize module (python2.3 only).
    Closes: #217053.

 -- Matthias Klose <doko@debian.org>  Sun, 29 Aug 2004 15:31:36 +0200

twisted (1.3.0-2) unstable; urgency=low

  * Fix links in twisted-doc's index.html (closes: #255548).

 -- Matthias Klose <doko@debian.org>  Mon, 21 Jun 2004 22:01:11 +0200

twisted (1.3.0-1) unstable; urgency=low

  * New upstream version.
  * Hijacking the package.
    See http://lists.debian.org/debian-qa/2004/06/msg00070.html.
  * Fix doc-base file (closes: #220698, #220699).
  * html files are included as .html, not .xhtml (closes: #192600).
  * Make package descriptions more verbose (closes: #209816).
  * Fix some lintian errors.

 -- Matthias Klose <doko@debian.org>  Sat, 19 Jun 2004 00:54:55 +0200

twisted (1.2.0-1.1) unstable; urgency=low

  * NMU.
  * Fix suggestions and recommendations:
    - Make python-pyopenssl, python-pam recommendations.
    - Make python-tk, python-gtk2, python-glade2, python-qt3,
      libwxgtk2.4-python suggestions.
    Closes: #240564.
  * python-twisted-conch: Depend on python2.3-twisted-conch.
  * Use Debian's way importing gtk2:
    - doc/examples/pbgtk2.py
    - twisted/spread/ui/gtk2util.py
  * The Debian package provided upstream isn't a big help, as it's just
    an outdated copy of the Debian package :-(

 -- Matthias Klose <doko@debian.org>  Sat, 17 Apr 2004 14:25:26 +0200

twisted (1.2.0-1) unstable; urgency=low

  * New upstream version (closes: #211102).

 -- Matthias Klose <doko@debian.org>  Thu, 26 Feb 2004 07:05:22 +0100

twisted (1.1.2-1) unstable; urgency=low

  * New upstream version

 -- Moshe Zadka <moshez@debian.org>  Wed, 18 Feb 2004 12:03:02 -0500

twisted (1.1.1-1) unstable; urgency=low

  * New upstream version

 -- Moshe Zadka <moshez@debian.org>  Thu, 15 Jan 2004 12:03:02 -0500

twisted (1.1.0-1) unstable; urgency=low

  * New upstream version

 -- Moshe Zadka <moshez@debian.org>  Fri, 21 Nov 2003 14:56:54 -0500

twisted (1.0.7-1) unstable; urgency=low

  * New upstream version

 -- Moshe Zadka <moshez@debian.org>  Wed, 17 Sep 2003 00:33:51 -0500

twisted (1.0.6-1) unstable; urgency=low

  * New upstream version.
  * NMU (encouraged by maintainer)

 -- Martin Sjogren <sjogren@debian.org>  Thu,  3 Jul 2003 07:45:27 +0200

twisted (1.0.5-1) unstable; urgency=low

  * New upstream version
  * Remove Python 2.1 packages -- upstream no longer supports 2.1

 -- Moshe Zadka <moshez@debian.org>  Thu,  1 May 2003 09:06:49 +0300

twisted (1.0.4-1) unstable; urgency=low

  * New upstream version

 -- Moshe Zadka <moshez@debian.org>  Fri, 18 Apr 2003 03:46:22 +0000

twisted (1.0.3-1) unstable; urgency=low

  * Split out conch
    * This allows us to have conch properly depend on python-crypto
  * Documentation improvements
    * Installing xhtml versions of everything
    * Distributing ps and pdf versions of book
    * doc-base support
  * Split out doc-api
    * It's HUGE and many people don't need it (since it is available on the
      web)

 -- Moshe Zadka <moshez@debian.org>  Tue, 12 Nov 2002 02:59:56 -0600

twisted (1.0.0-2) unstable; urgency=low

  * Put api docs in api/ (Closes: #167196)

 -- Moshe Zadka <moshez@debian.org>  Thu,  7 Nov 2002 12:27:37 -0600

twisted (1.0.0-1) unstable; urgency=low

  * New upstream release

 -- Moshe Zadka <moshez@debian.org>  Tue, 22 Oct 2002 06:22:49 -0500

twisted (0.99.2-4) unstable; urgency=low

  * UGH! Python 2.3 distutils bug is back
  * Working around it

 -- Moshe Zadka <moshez@debian.org>  Wed,  2 Oct 2002 12:07:25 +0000

twisted (0.99.2-3) unstable; urgency=low

  * Adding "/usr/bin/python" to build dependencies.

 -- Moshe Zadka <moshez@debian.org>  Mon, 30 Sep 2002 15:46:56 +0000

twisted (0.99.2-2) unstable; urgency=low

  * Enabling Python 2.3 support

 -- Moshe Zadka <moshez@debian.org>  Fri, 27 Sep 2002 10:49:43 -0500

twisted (0.99.2-1) unstable; urgency=low

  * New upstream
  * Fixed build dependencies (Closes: #159258)

 -- Moshe Zadka <moshez@debian.org>  Mon, 23 Sep 2002 08:56:05 -0500

twisted (0.99.0-1) unstable; urgency=low

  * New upstream version.
  * Packaging changes:
    * "Twisted" is now a package, to facilitate upgrades from woody
      (there are verioned depends:)
    * New package: twisted-quotes -- quotes collected by the Twisted release
      team

 -- Moshe Zadka <moshez@debian.org>  Thu, 29 Aug 2002 08:05:38 -0500

twisted (0.19.0-2) unstable; urgency=low

  * Gagh, make python2.2-twisted any, not all.

 -- Moshe Zadka <moshez@debian.org>  Wed, 31 Jul 2002 02:25:23 -0500

twisted (0.19.0-1) unstable; urgency=low

  * New upstream release
  * Debian packaging changes:
    * split python2.x-twisted into python2.x-twisted and python2.x-twisted-bin
    * unfortunately, because of distutils mind boggling stupidity, it will
      do most of the work for building the arch-independant utilities when
      building the c module
    * fortunately, twisted will now take up much less room in the archive

 -- Moshe Zadka <moshez@debian.org>  Wed, 19 Jun 2002 18:01:50 +0300

twisted (0.18.0-2) unstable; urgency=low

  * The "Aaaaarrrgghhh, I'm stupid release"
  * debian/control: python2.1-twisted needs to Conflict:/Replace: twisted too

 -- Moshe Zadka <moshez@debian.org>  Tue, 18 Jun 2002 20:22:08 +0300

twisted (0.18.0-1) unstable; urgency=low

  * New upstream release
  * Lots of debian changes:
    * building python2.1-twisted, python2.2-twisted
    * python-twisted depends on python2.1-twisted
    * menu support for t-im and manhole enabled
  * Removed debelper
    * Added debian/scripts/ directory with helper scripts
    * This will (hopefully) mean support python2.3 will be easy
  * Upstream fixed tcp client (Closes: #142789)

 -- Moshe Zadka <moshez@debian.org>  Tue, 28 May 2002 12:35:35 +0300

twisted (0.17.3-1) unstable; urgency=low

  * New upstream release

 -- Moshe Zadka <moshez@debian.org>  Fri, 19 Apr 2002 02:55:43 -0500

twisted (0.17.0-1) unstable; urgency=low

  * New upstream release
  * Now building two packages -- one for the code, one for the docs
    + If you want the docs, install twisted-docs too
    + Feedback is encouraged about whether a 2.2-supporting version is needed

 -- Moshe Zadka <moshez@debian.org>  Thu, 14 Mar 2002 07:24:07 +0200

twisted (0.15.5-1) unstable; urgency=low

  * New upstream release

 -- Moshe Zadka <moshez@debian.org>  Fri,  8 Mar 2002 07:14:16 +0200

twisted (0.15.4-1) unstable; urgency=low

  * New upstream version
  * Better DNS support

 -- Moshe Zadka <moshez@debian.org>  Tue,  5 Mar 2002 13:54:37 +0200

twisted (0.15.3-1) unstable; urgency=low

  * New upstream release
  * Fixed stupidproxy bug, where connections weren't closed

 -- Moshe Zadka <moshez@debian.org>  Thu, 28 Feb 2002 21:07:28 +0200

twisted (0.15.1-1) unstable; urgency=low

  * New upstream release

 -- Moshe Zadka <moshez@debian.org>  Tue, 12 Feb 2002 20:36:38 +0200

twisted (0.15.0-1) unstable; urgency=low

  * New upstream release
  * IM application: many improvements, new GTK+ client
  * easier to add error callbacks to deferred
  * SOCKSv4 support
  * bugs fixed in t.i.tcp
  * added approveConnection (again ;-)
  * All non-blocking methods now return deferreds instead of accepting
    callbacks (hopefully)
  * low-level protocol changes
  * New t.web applications and features
  * Perspective retrieval now async
  * Enterprise now fixed

 -- Moshe Zadka <moshez@debian.org>  Wed,  6 Feb 2002 14:38:38 +0200

twisted (0.13.0-1) unstable; urgency=low

  * New upstream version
  * New forum
  * New config interface
  * New metrics

 -- Moshe Zadka <moshez@debian.org>  Thu, 10 Jan 2002 20:04:30 +0200

twisted (0.12.2-1) unstable; urgency=low

  * New upstream versions (many bugfixes)

 -- Moshe Zadka <moshez@debian.org>  Thu, 29 Nov 2001 08:01:23 +0200

twisted (0.12.1-1) unstable; urgency=low

  * New upstream version (mainly bugfixes)

 -- Moshe Zadka <moshez@debian.org>  Thu, 22 Nov 2001 09:09:14 +0200

twisted (0.12.0-1) unstable; urgency=low

  * New upstream version
  * Using Python 2.1

 -- Moshe Zadka <moshez@debian.org>  Wed, 21 Nov 2001 15:17:25 +0200

twisted (0.10.3-1) unstable; urgency=low

  * New upstream release
  * twisted.names, resolving internet names
  * optimizations
  * works with Jython too

 -- Moshe Zadka <moshez@debian.org>  Sun, 30 Sep 2001 23:46:45 +0200

twisted (0.10.2-1) unstable; urgency=low

  * New upstream release
  * bug fixes
  * timeouts for client sockets
  * Tutorial about plugins
  * Mail has changed API in an incompatible way

 -- Moshe Zadka <moshez@debian.org>  Wed, 12 Sep 2001 23:00:59 +0300

twisted (0.10.1-1) unstable; urgency=low

  * New upstream release
  * Massive renaming in prespective broker classes
  * web proxying
  * TCP connection forwarding
  * Lots of new protocols: LDAP, finger and obscure RFCs
  * --plugin option to twistd
  * web widgets
  * twisted.enterprise improved a lot

 -- Moshe Zadka <moshez@debian.org>  Fri, 31 Aug 2001 06:49:00 +0300

twisted (0.10.0-1) unstable; urgency=low

  * New upstream release
  * Added twisted.tap and twisted.mail to distribution
  * Added docs about writing new twisted servers
  * Changed mail API: now, saveMessage gets the SMTP from too
  * Removed spurious prints from twisted.mail.mail
  * Possible to relay mail to unknown domains via smart host
  * tap2deb can create policy compliant Debian packages around .tap's
  * Fixed debian/rules clean target (closes: Bug#108245)
  * New arguments to twistd: --python, --no_save
  * New arguments to mktap: --append
  * twisted.tcp.Port can now change the size of the backlog from 5
  * UDP servers now possible

 -- Moshe Zadka <moshez@debian.org>  Thu,  9 Aug 2001 09:37:03 +0300

twisted (0.9.4-1) unstable; urgency=low

  * Initial Release. (closes: #105843)

 -- Moshe Zadka <moshez@debian.org>  Thu, 26 Jul 2001 21:09:53 +0300
